package com.ardraw.ardrawingflow.data.database.database;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.ardraw.ardrawingflow.MyApplication;
import com.ardraw.ardrawingflow.data.database.dao.FlowDataDao;
import com.ardraw.ardrawingflow.data.database.entity.FlowData;

@Database(entities = {FlowData.class}, version = MyApplication.DATABASE_VERSION, exportSchema = false)
public abstract class AppDatabase extends RoomDatabase {

    public abstract FlowDataDao flowDataDao();

    private static volatile AppDatabase INSTANCE;

    public static AppDatabase getInstance(Context context) {
        if (INSTANCE == null) {
            synchronized (AppDatabase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(context.getApplicationContext(),
                                    AppDatabase.class, MyApplication.DATABASE_NAME)
                            .build();
                }
            }
        }
        return INSTANCE;
    }
}
